import assessment from './modules/assessment'
import achievement from './modules/achievement'
import evaluation from './modules/evaluation'
import project from './modules/project'
import student from './modules/student'
import system from './modules/system'
import setting from './modules/setting'

import BasicLayout from '@/layouts/home'

const frameIn = [
    {
        path: '/',
        redirect: '/login',
    },
    {
        path: '/index',
        redirect: '/assessment',
    },
    {
        path: '/',
        component: () => BasicLayout,
        meta: { title: '首页' },
        children: []
    },
    assessment,
    achievement,
    evaluation,
    project,
    student,
    system,
    setting,
]

/**
 * 在主框架之外显示
 */

const frameOut = [
    // 登录
    {
        path: '/login',
        name: 'login',
        meta: {
            title: '登录'
        },
        component: () => import('@/pages/account/login')
    }
];

/**
 * 错误页面
 */

const errorPage = [
    {
        path: '/403',
        name: '403',
        meta: {
            title: '403'
        },
        component: () => import('@/pages/exception/error/403')
    },
    {
        path: '*',
        name: '404',
        meta: {
            title: '404'
        },
        component: () => import('@/pages/exception/error/404')
    }
];

// 导出需要显示菜单的
export const frameInRoutes = frameIn;

// 重新组织后导出
export default [
    ...frameIn,
    ...frameOut,
    ...errorPage
];